package javax.tools;

import java.io.IOException;
import java.io.File;

public interface StandardJavaFileManager extends JavaFileManager
{
    public abstract boolean isSameFile(FileObject p0, FileObject p1);
    
    public abstract Iterable<? extends JavaFileObject> getJavaFileObjectsFromFiles(Iterable<? extends File> p0);
    
    public abstract Iterable<? extends JavaFileObject> getJavaFileObjects(File... p0);
    
    public abstract Iterable<? extends JavaFileObject> getJavaFileObjectsFromStrings(Iterable<String> p0);
    
    public abstract Iterable<? extends JavaFileObject> getJavaFileObjects(String... p0);
    
    public abstract void setLocation(JavaFileManager.Location p0, Iterable<? extends File> p1) throws IOException;
    
    public abstract Iterable<? extends File> getLocation(JavaFileManager.Location p0);
}
